package com.inspect.metadata.montdata.service.impl;

import com.inspect.metadata.montdata.domain.BasedataMontTaskResult;
import com.inspect.metadata.montdata.mapper.BasedataMontTaskResultMapper;
import com.inspect.metadata.montdata.service.IBasedataMontTaskResultService;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class BasedataMontTaskResultServiceImpl implements IBasedataMontTaskResultService {
    private final BasedataMontTaskResultMapper basedataMontTaskresultMapper;

    public BasedataMontTaskResultServiceImpl(BasedataMontTaskResultMapper basedataMontTaskresultMapper) {
        this.basedataMontTaskresultMapper = basedataMontTaskresultMapper;
    }

    public BasedataMontTaskResult selectBasedataMontTaskResultByTaskResultId(Long taskResultId) {
        return this.basedataMontTaskresultMapper.selectBasedataMontTaskResultByTaskResultId(taskResultId);
    }

    public List<BasedataMontTaskResult> selectBasedataMontTaskResultList(BasedataMontTaskResult basedataMontTaskResult) {
        return this.basedataMontTaskresultMapper.selectBasedataMontTaskResultList(basedataMontTaskResult);
    }

    public int insertBasedataMontTaskResult(BasedataMontTaskResult basedataMontTaskResult) {
        return this.basedataMontTaskresultMapper.insertBasedataMontTaskResult(basedataMontTaskResult);
    }

    public int updateBasedataMontTaskResult(BasedataMontTaskResult basedataMontTaskResult) {
        return this.basedataMontTaskresultMapper.updateBasedataMontTaskResult(basedataMontTaskResult);
    }

    public int deleteBasedataMontTaskResultByTaskResultIds(Long[] taskResultIds) {
        return this.basedataMontTaskresultMapper.deleteBasedataMontTaskResultByTaskResultIds(taskResultIds);
    }

    public int deleteBasedataMontTaskResultByTaskResultId(Long taskResultId) {
        return this.basedataMontTaskresultMapper.deleteBasedataMontTaskResultByTaskResultId(taskResultId);
    }

    @Override
    public Integer countTimesByPatrolDeviceCode(String patrolDeviceCode) {
        return this.basedataMontTaskresultMapper.countTimesByPatrolDeviceCode(patrolDeviceCode);
    }

    @Override
    public Date selectMinCreateTimeByPatrolDeviceCode(String patrolDeviceCode) {
        return this.basedataMontTaskresultMapper.selectMinCreateTimeByPatrolDeviceCode(patrolDeviceCode);
    }
}
